From 524e76a5a6d4baff3f466f57614d738d66ec8e45 Mon Sep 17 00:00:00 2001
From: Slaven Rezic <slaven@rezic.de>
Date: Sat, 28 Nov 2015 12:29:49 +0000
Subject: [PATCH] test fix for RT #126472

---
 t/array.t | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/t/array.t b/t/array.t
index 64f83b1..0d6eab4 100644
--- a/t/array.t
+++ b/t/array.t
@@ -32,7 +32,12 @@ ok(!exists $x[3], "EXISTS 3");
 delete $x[0];
 ok(!defined $y[0], 'DELETE');
 @x = ();
-is($c, 0, 'EXTEND');
+if ($] > 5.023003) {
+     # EXTEND not called anymore on @x=(), see https://rt.perl.org/Ticket/Display.html?id=126472
+     is($c, 3, 'no EXTEND');
+} else {
+    is($c, 0, 'EXTEND');
+}
 is(scalar @y, 0, 'CLEAR');
 push @x, 'M', 'N', 'O', 'P';
 is_deeply(\@y, [ qw(M N O P) ], 'PUSH');
-- 
2.1.2

